darcs

Exec

# Documentation

exec :: String -> [String] -> Redirects -> IO ExitCode

execInteractive :: String -> String -> IO ExitCode

withoutNonBlock :: IO a -> IO a

type Redirects = (Redirect, Redirect, Redirect)

data Redirect

Constructors

AsIs |
Null |
File FilePath |
Stdout |

Instances

Show Redirect |

data ExecException

Constructors

ExecException String [String] Redirects String |

Instances

Show ExecException |
Typeable ExecException |
Exception ExecException |